Amplifying your potential.

Build error with Unity 2017

Advanced Color Grading for Unity Pro
2 posts • Page 1 of 1

Build error with Unity 2017

Postby lonewolf155 » Tue Nov 28, 2017 12:44 am

Hello everyone!

Been using the product for awhile now and it works great! However, we recently updated to Unity 2017 and whenever I attempt to build my project I am getting a bunch of errors from shaders in Amplify Color. The strange thing being that it wall works fine when playing in the Editor. Not sure how to resolve this, we updated Amplify Color along with a bunch of other plugins so we have whatever the latest version is available on the Asset Store. Here are some of the errors:

Shader error in 'Hidden/Amplify Color/BaseLinear': 'tex2D': no matching 2 parameter intrinsic function; Possible intrinsic functions are: tex2D(sampler2D, float2|half2|min10float2|min16float2) tex2D(sampler2D, float2|half2|min10float2|min16float2, float2|half2|min10float2|min16float2, float2|half2|min10float2|min16float2) at line 24 (on d3d9)

Shader error in 'Hidden/Amplify Color/BaseLinear': invalid subscript 'uv' at line 24 (on d3d9)

Shader error in 'Hidden/Amplify Color/BaseLinear': 'tex2D': no matching 2 parameter intrinsic function; Possible intrinsic functions are: tex2D(sampler2D, float2|half2|min10float2|min16float2) tex2D(sampler2D, float2|half2|min10float2|min16float2, float2|half2|min10float2|min16float2, float2|half2|min10float2|min16float2) at line 24 (on d3d11)

Shader error in 'Hidden/Amplify Color/BaseLinear': invalid subscript 'uv' at line 24 (on d3d11)

That's just a few, a total of 35 errors occur. Anybody know what I can do to fix this? Let me know if you guys need more information.

Some Additional Information:
Unity Version: 2017.2.0f3
Platform: Being built on a Windows 10 machine for Windows
lonewolf155
 
Posts: 1
Joined: Tue Nov 28, 2017 12:32 am

Re: Build error with Unity 2017

Postby Amplify_Borba » Tue Nov 28, 2017 10:37 am

Hello, thank you for getting in touch!

It seems that there might be leftover shaders from a previous version that are failing to compile during the build process, would you please try to fully remove Amplify Color from your project at first, and re-importing the latest version directly from the Asset Store?

Please let us know if this helps, we've just tested the latest AC version on Unity 2017.2.0f3 with the same build target and everything worked as expected.

Looking forward to your reply!
Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Amplify_Borba
 
Posts: 131
Joined: Mon Jul 24, 2017 9:50 am


2 posts • Page 1 of 1

Return to Amplify Color

Who is online

Users browsing this forum: No registered users and 1 guest

cron